<?php
/*
  $Id$ modules_control.php
  $loc$ admin/
  
  Modules Control Version 1.2.0
  by @raiwa // Rainer Schmied // info@oscaddons.com // www,oscaddons.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2017 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  
  $action = (isset($_POST['action']) ? $_POST['action'] : '');
  
  if ( tep_not_null($action) && strpos($action, 'update') !== false ) {
    $modules_excl_pages = (isset($_POST['controlled_module']) ? $_POST['controlled_module'] : '');
    // reset updated group to delete empty groups
    $update_group = strtok(key($modules_excl_pages), '_');
    tep_db_query("delete from modules_control where controlled_module like '%" . $update_group . "%'");
    if (tep_not_null($modules_excl_pages)) {
      foreach ($modules_excl_pages as $module => &$pages) {
        $pages = implode(',', $pages);
        // add installed module to modules_control table and add pages
        tep_db_query("insert into modules_control (controlled_module, page_list) values ('" . $module . "', '" . $pages . "')");
      }
    }
   
    $messageStack->add_session(MESSAGE_UPDATE_SUCCESS, 'success');
    tep_redirect(tep_href_link('modules_control.php', tep_get_all_get_params(array('controlled_module', 'action'))));
  }

  require('includes/template_top.php');
  
  if ( defined('MODULE_HEADER_TAGS_SLIM_CHECKOUT_STATUS') ) {
    echo '<div class="secWarning">' . SLIM_CHECKOUT_INSTALL_WARNING . 
            tep_draw_button(IMAGE_MODULES_CONTROL_UNINSTALL_SLIM_CHECKOUT, 'trash', tep_href_link('modules.php?set=header_tags&module=ht_slim_checkout&action=remove'), 'primary') . 
         '</div>';
  } elseif ( !defined('MODULE_CONTROL_PAGES') ) {
    echo tep_draw_form('install_modules_control', 'modules_control_config.php', '', 'post');
    echo '  <div style="text-align: center; padding-top: 15px;">' . tep_draw_button(IMAGE_MODULES_CONTROL_INSTALL, 'gear') . tep_draw_hidden_field('action', 'install') . '</div>';
    echo '</form>';
  } else {

  require('includes/classes/modules_control_class.php');
  $modules_control_class = new modules_control_class;

  $base_url = ($request_type == 'SSL') ? HTTPS_SERVER . DIR_WS_HTTPS_ADMIN : HTTP_SERVER . DIR_WS_ADMIN;
  ?>
  
  <h1 class="pageHeading"><?php echo HEADING_TITLE; ?></h1>
  
    <div style="text-align: right; padding-bottom: 15px;"><?php echo tep_draw_button(IMAGE_MODULES_CONTROL_CONFIG, 'gear', tep_href_link('modules_control_config.php')); ?></div>

    <div id="moduleControlTabs" style="overflow: auto;">
    <ul>
      <li><?php echo '<a href="' . tep_href_link('modules_control.php') . '#navbar_content">' . TAB_TITLE_NAVBAR . '</a>'; ?></li>
      <li><?php echo '<a href="' . tep_href_link('modules_control.php') . '#header_content">' . TAB_TITLE_HEADER . '</a>'; ?></li>
      <li><?php echo '<a href="' . tep_href_link('modules_control.php') . '#boxes_content">' . TAB_TITLE_BOXES . '</a>'; ?></li>
      <li><?php echo '<a href="' . tep_href_link('modules_control.php') . '#footer_content">' . TAB_TITLE_FOOTER . '</a>'; ?></li>
      <li><?php echo '<a href="' . tep_href_link('modules_control.php') . '#footer_extra_content">' . TAB_TITLE_FOOTER_EXTRA . '</a>'; ?></li>
    </ul>
    
    <div id="navbar_content" style="padding: 10px;">
    
      <?php echo tep_draw_form('navbar_modules', 'modules_control.php#navbar_content', '', 'post'); ?>
      
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent"><strong><?php echo TABLE_HEADING_MODULE_NAME; ?></strong></td>
            <?php
              foreach ($modules_control_class->_controlled_pages_array as $page) {
                echo '<td class="dataTableHeadingContent" align="center" width="' . 100/(sizeof($modules_control_class->_controlled_pages_array)+1) . '%">' . ucwords(str_replace('_', ' ', strtok($page, '.'))) . '</td>';
              }
            ?>
          </tr>
          <?php
            if ( isset($modules_control_class->_inst_array['navbar']) && isset($modules_control_class->_controlled_pages_array) ) {
              foreach ($modules_control_class->_inst_array['navbar'] as $module) {
                echo '     <tr class="dataTableRow">' . "\n" .
                     '       <td class="dataTableContent" valign="top">' . "\n";
                echo           strtok($module, '.') . "\n" .
                     '       </td>' . "\n";
                foreach ($modules_control_class->_controlled_pages_array as $page) {
                  echo '     <td class="dataTableContent" align="center" valign="top">' . (tep_not_null($page)? tep_draw_checkbox_field('controlled_module[' . $module . '][]', $page, (isset($modules_control_class->_modules_exclude_array[$module])? in_array($page, $modules_control_class->_modules_exclude_array[$module]) : '')) : '') . '</td>' . "\n";
                }
                echo '     </tr>' . "\n";
              }
            }
          ?>
    
        </table>
        <br>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" align="center"><?php echo tep_draw_button(IMAGE_UPDATE, 'refresh', null, 'primary') . tep_draw_hidden_field('action', 'navbar_update'); ?></td>
          </tr>
        </table>
  
      </form>
  
    </div>
  
    <div id="header_content" style="padding: 10px;">
  
      <?php echo tep_draw_form('header_modules', 'modules_control.php#header_content', '', 'post'); ?>
      
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent"><strong><?php echo TABLE_HEADING_MODULE_NAME; ?></strong></td>
            <?php
              foreach ($modules_control_class->_controlled_pages_array as $page) {
                echo '<td class="dataTableHeadingContent" align="center" width="' . 100/(sizeof($modules_control_class->_controlled_pages_array)+1) . '%">' . ucwords(str_replace('_', ' ', strtok($page, '.'))) . '</td>';
              }
            ?>
          </tr>
          </tr>
          <?php
            if ( isset($modules_control_class->_inst_array['header']) && isset($modules_control_class->_controlled_pages_array) ) {
              foreach ($modules_control_class->_inst_array['header'] as $module) {
                echo '     <tr class="dataTableRow">' . "\n" .
                     '       <td class="dataTableContent" valign="top">' . "\n";
                echo           strtok($module, '.') . "\n" .
                     '       </td>' . "\n";
                foreach ($modules_control_class->_controlled_pages_array as $page) {
                  echo '     <td class="dataTableContent" align="center" valign="top">' . (tep_not_null($page)? tep_draw_checkbox_field('controlled_module[' . $module . '][]', $page, (isset($modules_control_class->_modules_exclude_array[$module])? in_array($page, $modules_control_class->_modules_exclude_array[$module]) : '')) : '') . '</td>' . "\n";
                }
                echo '     </tr>' . "\n";
              }
            }
          ?>
    
        </table>
        <br>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" align="center"><?php echo tep_draw_button(IMAGE_UPDATE, 'refresh', null, 'primary') . tep_draw_hidden_field('action', 'update_modules'); ?></td>
          </tr>
        </table>
  
      </form>
  
    </div>
  
    <div id="boxes_content" style="padding: 10px;">
  
        <?php echo tep_draw_form('boxes_modules', 'modules_control.php#boxes_content', '', 'post'); ?>
      
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent"><strong><?php echo TABLE_HEADING_MODULE_NAME; ?></strong></td>
            <?php
              foreach ($modules_control_class->_controlled_pages_array as $page) {
                echo '<td class="dataTableHeadingContent" align="center" width="' . 100/(sizeof($modules_control_class->_controlled_pages_array)+1) . '%">' . ucwords(str_replace('_', ' ', strtok($page, '.'))) . '</td>';
              }
            ?>
          </tr>
          <?php
            if ( isset($modules_control_class->_inst_array['boxes']) && isset($modules_control_class->_controlled_pages_array) ) {
              foreach ($modules_control_class->_inst_array['boxes'] as $module) {
                echo '     <tr class="dataTableRow">' . "\n" .
                     '       <td class="dataTableContent" valign="top">' . "\n";
                echo           strtok($module, '.') . "\n" .
                     '       </td>' . "\n";
                foreach ($modules_control_class->_controlled_pages_array as $page) {
                  echo '     <td class="dataTableContent" align="center" valign="top">' . (tep_not_null($page)? tep_draw_checkbox_field('controlled_module[' . $module . '][]', $page, (isset($modules_control_class->_modules_exclude_array[$module])? in_array($page, $modules_control_class->_modules_exclude_array[$module]) : '')) : '') . '</td>' . "\n";
                }
                echo '     </tr>' . "\n";
              }
            }
          ?>
    
        </table>
        <br>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" align="center"><?php echo tep_draw_button(IMAGE_UPDATE, 'refresh', null, 'primary') . tep_draw_hidden_field('action', 'update_modules'); ?></td>
          </tr>
        </table>
  
      </form>
  
    </div>
    
    <div id="footer_content" style="padding: 10px;">
  
        <?php echo tep_draw_form('footer_modules', 'modules_control.php#footer_content', '', 'post'); ?>
      
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent"><strong><?php echo TABLE_HEADING_MODULE_NAME; ?></strong></td>
            <?php
              foreach ($modules_control_class->_controlled_pages_array as $page) {
                echo '<td class="dataTableHeadingContent" align="center" width="' . 100/(sizeof($modules_control_class->_controlled_pages_array)+1) . '%">' . ucwords(str_replace('_', ' ', strtok($page, '.'))) . '</td>';
              }
            ?>
          </tr>
          <?php
            if ( isset($modules_control_class->_inst_array['footer']) && isset($modules_control_class->_controlled_pages_array) ) {
              foreach ($modules_control_class->_inst_array['footer'] as $module) {
                echo '     <tr class="dataTableRow">' . "\n" .
                     '       <td class="dataTableContent" valign="top">' . "\n";
                echo           strtok($module, '.') . "\n" .
                     '       </td>' . "\n";
                foreach ($modules_control_class->_controlled_pages_array as $page) {
                  echo '     <td class="dataTableContent" align="center" valign="top">' . (tep_not_null($page)? tep_draw_checkbox_field('controlled_module[' . $module . '][]', $page, (isset($modules_control_class->_modules_exclude_array[$module])? in_array($page, $modules_control_class->_modules_exclude_array[$module]) : '')) : '') . '</td>' . "\n";
                }
                echo '     </tr>' . "\n";
              }
            }
          ?>
    
        </table>
        <br>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" align="center"><?php echo tep_draw_button(IMAGE_UPDATE, 'refresh', null, 'primary') . tep_draw_hidden_field('action', 'update_modules'); ?></td>
          </tr>
        </table>
  
      </form>
  
    </div>
    <div id="footer_extra_content" style="padding: 10px;">
  
        <?php echo tep_draw_form('footer_extra_modules', 'modules_control.php#footer_extra_content', '', 'post'); ?>
      
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent"><strong><?php echo TABLE_HEADING_MODULE_NAME; ?></strong></td>
            <?php
              foreach ($modules_control_class->_controlled_pages_array as $page) {
                echo '<td class="dataTableHeadingContent" align="center" width="' . 100/(sizeof($modules_control_class->_controlled_pages_array)+1) . '%">' . ucwords(str_replace('_', ' ', strtok($page, '.'))) . '</td>';
              }
            ?>
          </tr>
          <?php
            if ( isset($modules_control_class->_inst_array['footer_extra']) && isset($modules_control_class->_controlled_pages_array) ) {
              foreach ($modules_control_class->_inst_array['footer_extra'] as $module) {
                echo '     <tr class="dataTableRow">' . "\n" .
                     '       <td class="dataTableContent" valign="top">' . "\n";
                echo           strtok($module, '.') . "\n" .
                     '       </td>' . "\n";
                foreach ($modules_control_class->_controlled_pages_array as $page) {
                  echo '     <td class="dataTableContent" align="center" valign="top">' . (tep_not_null($page)? tep_draw_checkbox_field('controlled_module[' . $module . '][]', $page, (isset($modules_control_class->_modules_exclude_array[$module])? in_array($page, $modules_control_class->_modules_exclude_array[$module]) : '')) : '') . '</td>' . "\n";
                }
                echo '     </tr>' . "\n";
              }
            }
          ?>
    
        </table>
        <br>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" align="center"><?php echo tep_draw_button(IMAGE_UPDATE, 'refresh', null, 'primary') . tep_draw_hidden_field('action', 'update_modules'); ?></td>
          </tr>
        </table>
  
      </form>
  
    </div>
  
  </div>
  
  <script>
  $(function() {
    $('#moduleControlTabs').tabs();
  });
  </script>
  
  <?php
}
  require('includes/template_bottom.php');
?>
<script>
$(document).ready(function(){
        $("html, body").animate({ scrollTop: 0 });
});
</script> 
  <?php
  require('includes/application_bottom.php');
?>
